petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetNPCSide

Gets the preconditioning side.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetNPCSide(SNES snes,PCSide *side)

Not Collective Many br

### Input Parameter

snes -iterative context obtained from SNESCreate() Many br

### Output Parameter

side -the preconditioning side, where side is one of Many br

          PC_LEFT - left preconditioning (default)
          PC_RIGHT - right preconditioning

Many br

Many br

### Keywords

SNES, get, right, left, side, preconditioner, flag

### See Also

SNESSetNPCSide(), KSPGetPCSide()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages